Issue #15961 has been reported by jeremyevans0 (Jeremy Evans).

----------------------------------------
Feature #15961: Always warn for URI.{,un}{escape,encode}
https://bugs.ruby-lang.org/issues/15961

* Author: jeremyevans0 (Jeremy Evans)
* Status: Open
* Priority: Normal
* Assignee: akira (akira yamada)
* Target version: 
----------------------------------------
These methods have both had a verbose mode warning for almost 10 years.  If we ever plan on removing them, we should switch from a verbose mode warning to a regular warning.  If we don't, people will still use them, and run into their problems (see #12235, #9806).

---Files--------------------------------
uri-escape-always-warn.patch (1.18 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>